View Issue Details

IDProjectCategoryView StatusLast Update
0000842CaseTalk ModelerModel Transformation (GLR)public2016-01-20 13:21
ReporterBCP Software 
Assigned ToBCP Software 
PrioritynormalSeveritymajorReproducibilitysometimes
Status resolvedResolutionfixed 
Product Version 
Target Version8.6.1Fixed in Version8.6.1 
Summary0000842: Lexicalizing always reduces unused Object Types
DescriptionIf the OTFT property "Reduce Override" is set to "Do not reduce", an OTFT can still be reduced. The reducing of unused OTFT always occurs, even when only lexicalization is applied.
Steps To ReproduceIntroduce an ObjectType which is only played by binary facts. This ObjectType should have no FTE's and the user override set to "Don't Reduce". Perform GLR (GL is enough).

The ObjectType will be reduced immediately after lexicalizing.
TagsNo tags attached.

Relationships

related to 0000844 resolvedBCP Software Reduce Proposal doesn't seem to work 

Activities

BCP Software

BCP Software

2016-01-18 16:24

administrator  

reduce-override-error.png (61,500 bytes)
reduce-override-error.png (61,500 bytes)
BCP Software

BCP Software

2016-01-19 16:27

administrator   ~0000502

GL already reduces unused Object Types. CaseTalk should explicitly reduce during "R" and not implicitly during "L". The theory does not require "R" when it is done implicitly. However making it explicit increases users flexibility. The behaviour of CaseTalk when performing just "GL" will change, therefor a new minor version number is required.

Also the user setting for "Reduce" on the OTFT, is now honored. (Yet only once "R" is called)

Issue History

Date Modified Username Field Change
2016-01-18 16:24 BCP Software New Issue
2016-01-18 16:24 BCP Software Status new => assigned
2016-01-18 16:24 BCP Software Assigned To => BCP Software
2016-01-18 16:24 BCP Software File Added: reduce-override-error.png
2016-01-18 16:24 BCP Software Status assigned => resolved
2016-01-18 16:24 BCP Software Fixed in Version => 8.6.1
2016-01-18 16:24 BCP Software Resolution open => fixed
2016-01-19 16:27 BCP Software Note Added: 0000502
2016-01-19 16:28 BCP Software Severity minor => major
2016-01-20 10:29 BCP Software Relationship added parent of 0000844
2016-01-20 10:39 BCP Software Relationship deleted parent of 0000844
2016-01-20 10:39 BCP Software Relationship added related to 0000844
2016-01-20 12:56 BCP Software Category GLR => Transformation (GLR)
2016-01-20 13:00 BCP Software Category Transformation (GLR) => Model Transformation (GLR)
2016-01-20 13:21 BCP Software Summary Unused OTFT always reduces => Lexicalizing always reduces unused Object Types